​
Select Service
ves-io-schema-k8s_cluster-API-List
Published April 5, 2023 | Last modified September 23, 2026
Examples of listing k8s_cluster
Usecase:
List all k8s_clusters in current namespace
Request using vesctl:
vesctl configuration list k8s_cluster --namespace system
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: k8s-cluster-1 namespace: system statusSet: [] tenant: acmecorp uid: 26607fef-7aad-48ca-9dd2-cf4a12627b33- annotations: {} labels: {} name: k8s-cluster-2 namespace: system statusSet: [] tenant: acmecorp uid: 4c389bcc-3b0c-4e7f-aa43-e716d8d258efRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/k8s_clusters'curl response
HTTP/1.1 200 OKContent-Length: 834Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:03:22 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "system", "name": "k8s-cluster-1", "uid": "26607fef-7aad-48ca-9dd2-cf4a12627b33", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "system", "name": "k8s-cluster-2", "uid": "4c389bcc-3b0c-4e7f-aa43-e716d8d258ef", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}